Bug 1084562 - Gedit-latex does not work with gedit 3.12
Summary: Gedit-latex does not work with gedit 3.12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit-latex
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ignacio Casal Quinteiro (nacho)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-04 16:47 UTC by Sergio Pascual
Modified: 2014-11-01 16:26 UTC (History)
2 users (show)

Fixed In Version: gedit-latex-3.8.0-7.20141017git8e9970b.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 16:26:26 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 729735 None None None Never

Description Sergio Pascual 2014-04-04 16:47:45 UTC
gedit-latex does not work with gedit 3.12 in rawhide. As gedit has been redesigned, I was expecting this problem

This is the traceback

Traceback (most recent call last):
  File "/usr/lib64/gedit/plugins/latex/windowactivatable.py", line 87, in do_activate
    self._init_actions()
  File "/usr/lib64/gedit/plugins/latex/windowactivatable.py", line 164, in _init_actions
    self._ui_manager = self.window.get_ui_manager()
AttributeError: 'Window' object has no attribute 'get_ui_manager'

Comment 1 Fedora Update System 2014-10-17 11:12:59 UTC
gedit-latex-3.8.0-7.20141017git8e9970b.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gedit-latex-3.8.0-7.20141017git8e9970b.fc21

Comment 2 Fedora Update System 2014-10-17 19:45:38 UTC
Package gedit-latex-3.8.0-7.20141017git8e9970b.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gedit-latex-3.8.0-7.20141017git8e9970b.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13131/gedit-latex-3.8.0-7.20141017git8e9970b.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-11-01 16:26:26 UTC
gedit-latex-3.8.0-7.20141017git8e9970b.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.